stages:
  - update
  - load
  - dev
  - backup
update_server:
  stage: update
  script: sudo apt update && sudo apt upgrade
  tags:
    - stage-shell
  only:
    refs:
      - tags
      - main

load:
  stage: load
  script: 
    - cd /home/
    - sudo rm -rf skill-edu
    - sudo git clone https://gitlab.com/koromyslov.denis/skill-edu.git
  tags:
    - stage-shell
  only:
    refs:
      - tags
      - main

dev:
  stage: dev
  script: 
    - sudo cp /home/skill-edu/* /var/www/html/
  tags:
    - stage-shell
  only:
    refs:
      - tags
      - main
  
backup:
  stage: backup
  script: 
    - cd /var/www/html
    - sudo rm -rf site.zip && sudo zip -r site.zip ./* 
  tags:
    - stage-shell
  only:
    refs:
      - tags
      - main